metaHTML

# Class: htmlTableExtendedInputTextarea

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlInputTextarea
          |
          --htmlTableExtendedInputTextarea

Text area with label and help link.

### Methods

- __construct
- generateHTML
- setRequired

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlInputTextarea

htmlInputTextarea::__construct()
  Constructor.
htmlInputTextarea::generateHTML()
  Prints the HTML code for this element.
htmlInputTextarea::setIsEnabled()
  Specifies if this component is enabled and accepts user modification.

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 1636]
Text area with label and help link.
[ Top ]

### Class Methods

### constructor __construct [line 1655]

`htmlTableExtendedInputTextarea __construct( String $name, String $value, int $colCount, int $rowCount, String $label, String $helpID)`

Constructor.
Overrides htmlInputTextarea::__construct() (Constructor.)

#### Parameters:

String | $name | unique name
String | $value | value
int | $colCount | number of characters per line
int | $rowCount | number of rows
String | $label | descriptive label
String | $helpID | help ID

[ Top ]

### method generateHTML [line 1672]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlInputTextarea::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setRequired [line 1697]

`void setRequired( boolean $required)`

Specifies if this input field must be filled.

#### Tags:

access: | public

#### Parameters:

boolean | $required | required or not

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:50 +0100 by phpDocumentor 1.4.1